#ifndef LFRSPECTROGRAM_H
#define LFRSPECTROGRAM_H

#include <QWidget>
#include <QVBoxLayout>

#include <qwt5-qt4/qwt_plot.h>
#include <qwt5-qt4/qwt_plot_spectrogram.h>
#include <qwt5-qt4/qwt_color_map.h>
#include <qwt5-qt4/qwt_scale_widget.h>
#include <qwt5-qt4/qwt_plot_layout.h>

class LFRSpectrogram : public QWidget
{
    Q_OBJECT
public:
    explicit LFRSpectrogram(QWidget *parent = 0);
    
signals:
    
public slots:

private:

    QVBoxLayout* mainLayout;
    QwtPlot* plot_spectrogram;
    QwtPlotSpectrogram* spectrogram;

    QwtPlotLayout *plotLayout();
    const QwtPlotLayout *plotLayout() const;
    
};

#endif // LFRSPECTROGRAM_H
